<?php session_start();



require 'conexao.php';
require '../gerador/SqlServer.php';
require_once 'conexaoSQL.php';
require_once 'RemotoInterno.php';

$sqlServer = new Sqlserver;
$remoto = new RemotoInterno;

$data =  date("Y-m-d H:i:s");
$id = filter_var($_GET['id'], FILTER_SANITIZE_STRING);
$chave = filter_var($_GET['chave']);
$loja = filter_var($_GET['loja']);

//verificar se a nota esta no softcom e esta salva

//esse metodo consulta a chave no banco e se esta com lacrar true
$retorno = $sqlServer->BuscarNotasSalvasSoftcomParaFinalizarEntrada($chave);
//transforma a o nome da loja no remoto para a forma como esta escrita no softcom
$lojaRemoto = $remoto->TransformarLoja($loja);

//se o nome da loja recebida do softcom é igual ao nome recebido do remo 
if ($retorno == $lojaRemoto){

//finaliza a nota no remoto
$result_usuario = "UPDATE notas SET status = 'Finalizada', data_entrada = '$data' WHERE id = '$id'";
$resultado_usuario = mysqli_query($conexao, $result_usuario);
header("Location: ../perguntarobspedido.php?id=".$id);

//se a nota ainda nao esta pronta no softcom 
}else{

    $_SESSION['msg'] = "<div class='alert alert-danger'> VERIFICAR SE A NOTA ESTA SALVA NO SOFTCOM E <b> ENTRADA NA LOJA CORRETA! </b> </div>";
	header("Location: ../naoimportadas.php");


}

